Bug 698679 - port elinks to js-1.8.5
Summary: port elinks to js-1.8.5
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: elinks
Version: 15
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Kamil Dudka
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On: 676441
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-04-21 14:17 UTC by Kamil Dudka
Modified: 2018-04-11 13:59 UTC (History)
13 users (show)

(edit)
Clone Of: 676441
(edit)
Last Closed: 2011-05-30 22:35:13 UTC


Attachments (Terms of Use)

Description Kamil Dudka 2011-04-21 14:17:54 UTC
+++ This bug was initially created as a clone of Bug #676441 +++

We need to make the GNOME 3 stack stop depending on Firefox.  See bug 676437 for full rationale.  We'd like to have GNOME 3 depend on the js package instead, but I'm told that in order to do that, we need to drop -DJS_C_STRINGS_ARE_UTF8.

Comment 1 Kamil Dudka 2011-04-21 14:22:05 UTC
built as elinks-0.12-0.25.pre5.fc16

Comment 2 Kamil Dudka 2011-04-25 20:05:32 UTC
A follow-up fix has appeared in the upstream git:

http://repo.or.cz/w/elinks.git/commitdiff/218a225

Comment 3 Kamil Dudka 2011-05-06 13:57:15 UTC
(In reply to comment #2)
> http://repo.or.cz/w/elinks.git/commitdiff/218a225

built as elinks-0.12-0.26.pre5.fc16

Comment 4 Fedora Update System 2011-05-10 11:26:50 UTC
mongodb-1.8.0-3.fc15, mediatomb-0.12.1-10.fc15, gxine-0.5.905-6.fc15, erlang-js-0.5.0-4.fc15, couchdb-1.0.2-2.fc15, callweaver-1.2.1-9.fc15, elinks-0.12-0.25.pre5.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/elinks-0.12-0.25.pre5.fc15,mongodb-1.8.0-3.fc15,mediatomb-0.12.1-10.fc15,gxine-0.5.905-6.fc15,erlang-js-0.5.0-4.fc15,couchdb-1.0.2-2.fc15,callweaver-1.2.1-9.fc15

Comment 5 Fedora Update System 2011-05-11 05:49:23 UTC
Package mongodb-1.8.0-3.fc15, mediatomb-0.12.1-10.fc15, gxine-0.5.905-6.fc15, erlang-js-0.5.0-4.fc15, couchdb-1.0.2-2.fc15, callweaver-1.2.1-9.fc15, elinks-0.12-0.25.pre5.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mongodb-1.8.0-3.fc15 mediatomb-0.12.1-10.fc15 gxine-0.5.905-6.fc15 erlang-js-0.5.0-4.fc15 couchdb-1.0.2-2.fc15 callweaver-1.2.1-9.fc15 elinks-0.12-0.25.pre5.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/elinks-0.12-0.25.pre5.fc15,mongodb-1.8.0-3.fc15,mediatomb-0.12.1-10.fc15,gxine-0.5.905-6.fc15,erlang-js-0.5.0-4.fc15,couchdb-1.0.2-2.fc15,callweaver-1.2.1-9.fc15
then log in and leave karma (feedback).

Comment 6 Mitch Davis 2011-05-11 12:11:04 UTC
I am running F15 beta.  I am getting this error on a plain "yum update" after a "yum clean all":

[root@lap mjd]# cat /etc/fedora-release 
Fedora release 15 (Lovelock)
[root@lap mjd]# yum update
Loaded plugins: langpacks, presto, refresh-packagekit
Setting up Update Process
Resolving Dependencies
--> Running transaction check
---> Package elinks.x86_64 0:0.12-0.24.pre5.fc15 will be updated
---> Package elinks.x86_64 0:0.12-0.25.pre5.fc15 will be an update
--> Processing Dependency: libmozjs185.so.1.0()(64bit) for package: elinks-0.12-0.25.pre5.fc15.x86_64
--> Finished Dependency Resolution
Error: Package: elinks-0.12-0.25.pre5.fc15.x86_64 (updates-testing)
           Requires: libmozjs185.so.1.0()(64bit)
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest
[root@lap mjd]#

Comment 7 Kamil Dudka 2011-05-11 13:13:15 UTC
(In reply to comment #6)
> I am running F15 beta.  I am getting this error on a plain "yum update" after a
> "yum clean all":

Thank you for the feedback.  Martin forgot to include js-1.8.5 in the previous updated.  It should be fixed by the following update:

https://admin.fedoraproject.org/updates/js-1.8.5-4.fc15,elinks-0.12-0.25.pre5.fc15,mongodb-1.8.0-3.fc15,mediatomb-0.12.1-10.fc15,gxine-0.5.905-6.fc15,erlang-js-0.5.0-4.fc15,couchdb-1.0.2-2.fc15,callweaver-1.2.1-9.fc15?_csrf_token=6b85136ca8a23311f1ee4144fdfd9be5f9370d72

Please let me know if the problem does not disappear in two days or so.

Comment 8 Fedora Update System 2011-05-14 03:07:53 UTC
Package mongodb-1.8.0-3.fc15, mediatomb-0.12.1-10.fc15, gxine-0.5.905-6.fc15, erlang-js-0.5.0-4.fc15, couchdb-1.0.2-2.fc15, callweaver-1.2.1-9.fc15, elinks-0.12-0.25.pre5.fc15, js-1.8.5-4.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mongodb-1.8.0-3.fc15 mediatomb-0.12.1-10.fc15 gxine-0.5.905-6.fc15 erlang-js-0.5.0-4.fc15 couchdb-1.0.2-2.fc15 callweaver-1.2.1-9.fc15 elinks-0.12-0.25.pre5.fc15 js-1.8.5-4.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/js-1.8.5-4.fc15,elinks-0.12-0.25.pre5.fc15,mongodb-1.8.0-3.fc15,mediatomb-0.12.1-10.fc15,gxine-0.5.905-6.fc15,erlang-js-0.5.0-4.fc15,couchdb-1.0.2-2.fc15,callweaver-1.2.1-9.fc15
then log in and leave karma (feedback).

Comment 9 Fedora Update System 2011-05-30 22:35:00 UTC
mongodb-1.8.0-3.fc15, mediatomb-0.12.1-10.fc15, gxine-0.5.905-6.fc15, erlang-js-0.5.0-4.fc15, callweaver-1.2.1-9.fc15, elinks-0.12-0.25.pre5.fc15, js-1.8.5-4.fc15, couchdb-1.0.2-6.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.